from flask import Blueprint

from flask import render_template, redirect, request, session, flash
from controllers.database.product import ProductController

blueprint = Blueprint("products", __name__, url_prefix="/products")

@blueprint.route('/')
def index():
    database = ProductController()
    products = database.read_all()

    # No Products visible
    if products == None:
        flash("No Products available")
    
    return render_template('index.html', content="content.html", user = session.get('user'), products = products)